FXPermission (JavaFX 25)
Description: declaration: module: javafx.base, package: javafx.util, class: FXPermission

# Class FXPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
javafx.util.FXPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="24", forRemoval=true) public final class FXPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This class was only useful in connection with the Security Manager, which is no longer supported. There is no replacement for this class.
This class is for JavaFX permissions. An `FXPermission` contains a target name but no actions list; you either have the named permission or you don't.

API Note:
  This permission cannot be used for controlling access to resources anymore as the Security Manager is no longer supported.
Since:
  9
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FXPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a new `FXPermission` with the specified name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FXPermission

    public FXPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new `FXPermission` with the specified name. The name is the symbolic name of the `FXPermission`, such as "accessClipboard", "createTransparentWindow ", etc. An asterisk may be used to indicate all JavaFX permissions.
    Parameters:
      `name` - the name of the FXPermission
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.